<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/12
 * Time: 15:05
 */

namespace App\Transformers;

use App\Models\MessageRule;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class MessageRuleDetailTransformer extends TransformerAbstract
{
    public function transform(MessageRule $messageRule)
    {
        $messageStatus = $messageRule['message_status'];
        if($messageStatus == 0 && $messageRule['send_time'] && $messageRule['send_time'] <= Carbon::now()->toDateTimeString()){
            $messageStatus = 1;
        }
        return [
            'id' => $messageRule['id'],
            'title' => $messageRule['title'],
            'content' => $messageRule['content'],
            'message_type' => $messageRule['message_type'],
            'cover' => $messageRule['cover'],
            'send_time' => $messageRule['send_time'] ? Carbon::parse($messageRule['send_time'])->toDateTimeString():'',
            'sent_count' => $messageRule['sent_count'],
            'open_count' => $messageRule['open_count'],
            'notice_groups' => $messageRule['notice_groups'],
            'message_status' => $messageStatus,
            'message_show_type' => $messageRule['message_show_type'],
            'activity_time' => $messageRule['activity_time'],
        ];
    }
}