<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/12
 * Time: 9:15
 */

namespace App\Transformers;

use App\Models\MessageRule;
use Illuminate\Support\Carbon;
use League\Fractal\TransformerAbstract;

class MessageRuleListTransformer extends TransformerAbstract
{
    public function transform(MessageRule $messageRule)
    {
        $messageStatus = $messageRule['message_status'];
        if($messageStatus == 0 && $messageRule['send_time'] && $messageRule['send_time'] <= Carbon::now()->toDateTimeString()){
            $messageStatus = 1;
        }
        return [
            'id' => $messageRule['id'],
            'title' => $messageRule['title'],
            'message_type' => $messageRule['message_type'],
            'cover' => $messageRule['cover'],
            'updated_at' => Carbon::parse($messageRule['updated_at'])->toDateTimeString(),
            'sent_count' => $messageRule['sent_count'],
            'open_count' => $messageRule['open_count'],
            'notice_groups' => $messageRule['notice_groups'],
            'message_status' => $messageStatus,
        ];
    }
}