<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableConfigProvince extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('config_province', function (Blueprint $table) {
            $table->bigIncrements('area_id');
            $table->string('area_name',30);  //名称
            $table->integer('parent_id');//父级ID
            $table->integer('level');//级别
            $table->tinyInteger('sort');//排序
            $table->string('area_code',6)->nullable()->comment('地区编码');
            $table->string('center',50)->comment('城市中心点（即：经纬度坐标）');
            $table->integer('bjcity_id')->nullable()->comment('百度cityid');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('config_province');
    }
}
